#include "CMainWindow.h"
#include "ui_CMainWindow.h"

#include <QMessageBox>

CMainWindow::CMainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::CMainWindow)
{
    ui->setupUi(this);

    // Load the data dump files
    LoadDataDumpFiles();

    // Connect the link signal from the webview
    // to the slot here
    ui->webView->page()->setLinkDelegationPolicy(QWebPage::DelegateAllLinks);
    connect(ui->webView,SIGNAL(linkClicked(QUrl)),SLOT(OnLink(QUrl)));

    // Now set the webview to the home page that's
    // included
    OnLink(QUrl("static/home.html"));
}

CMainWindow::~CMainWindow()
{
    delete ui;
}

void CMainWindow::OnLink(QUrl input_url)
{
    // The URL of the link tells us what
    // information we need to display
    QString url = input_url.toString();

    // First, check for the home page
    if(url == "static/home.html")
        ui->webView->setUrl(QUrl("qrc:/static/index.html"));

    // Now check for the questions-by-votes page
    if(url == "questions/votes")
        DoQuestionsByVotes();
}

void CMainWindow::LoadDataDumpFiles()
{
    //...
}

void CMainWindow::DoQuestionsByVotes()
{

}
